<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage  Workart Pro
* @since  Workart Pro 1.0.0
*/

// blog btn title
if ( ! function_exists( 'workart_pro_copyright_text_partial' ) ) :
    function workart_pro_copyright_text_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

// featured_slider_btn_txt
if ( ! function_exists( 'workart_pro_featured_slider_btn_txt_partial' ) ) :
    function workart_pro_featured_slider_btn_txt_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['featured_slider_btn_txt'] );
    }
endif;

// featured_slider_btn_alt_txt
if ( ! function_exists( 'workart_pro_featured_slider_btn_alt_txt_partial' ) ) :
    function workart_pro_featured_slider_btn_alt_txt_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['featured_slider_btn_alt_txt'] );
    }
endif;

//service section sub title selective refresh
if ( ! function_exists( 'workart_pro_our_services_section_partial_sub_title' ) ) :
    function workart_pro_our_services_section_partial_sub_title() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['our_services_section_sub_title'] );
    }
endif;

//service section title selective refresh
if ( ! function_exists( 'workart_pro_our_services_section_partial_title' ) ) :
    function workart_pro_our_services_section_partial_title() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['our_services_section_title'] );
    }
endif;

// gallery_title selective refresh
if ( ! function_exists( 'workart_pro_gallery_title_partial' ) ) :
    function workart_pro_gallery_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;

// gallery_sub_title selective refresh
if ( ! function_exists( 'workart_pro_gallery_sub_title_partial' ) ) :
    function workart_pro_gallery_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['gallery_sub_title'] );
    }
endif;

// gallery_btn_txt selective refresh
if ( ! function_exists( 'workart_pro_gallery_btn_txt_partial' ) ) :
    function workart_pro_gallery_btn_txt_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['gallery_btn_txt'] );
    }
endif;

// featured_posts_title selective refresh
if ( ! function_exists( 'workart_pro_featured_posts_title_partial' ) ) :
    function workart_pro_featured_posts_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['featured_posts_title'] );
    }
endif;

// featured_posts_sub_title selective refresh
if ( ! function_exists( 'workart_pro_featured_posts_sub_title_partial' ) ) :
    function workart_pro_featured_posts_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['featured_posts_sub_title'] );
    }
endif;

// recent_posts_sub_title selective refresh
if ( ! function_exists( 'workart_pro_recent_posts_sub_title_partial' ) ) :
    function workart_pro_recent_posts_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['recent_posts_sub_title'] );
    }
endif;

// recent_posts_title selective refresh
if ( ! function_exists( 'workart_pro_recent_posts_title_partial' ) ) :
    function workart_pro_recent_posts_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['recent_posts_title'] );
    }
endif;

// recent_posts_read_more_btn_label selective refresh
if ( ! function_exists( 'workart_pro_recent_posts_read_more_btn_label_partial' ) ) :
    function workart_pro_recent_posts_read_more_btn_label_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['recent_posts_read_more_btn_label'] );
    }
endif;

// featured_products_btn_title selective refresh
if ( ! function_exists( 'workart_pro_featured_products_btn_title_partial' ) ) :
    function workart_pro_featured_products_btn_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['featured_products_btn_title'] );
    }
endif;

// popular_posts_read_more_btn_label selective refresh
if ( ! function_exists( 'workart_pro_popular_posts_read_more_btn_label_partial' ) ) :
    function workart_pro_popular_posts_read_more_btn_label_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['popular_posts_read_more_btn_label'] );
    }
endif;

// popular_posts_title selective refresh
if ( ! function_exists( 'workart_pro_popular_posts_title_partial' ) ) :
    function workart_pro_popular_posts_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['popular_posts_title'] );
    }
endif;

// popular_posts_sub_title selective refresh
if ( ! function_exists( 'workart_pro_popular_posts_sub_title_partial' ) ) :
    function workart_pro_popular_posts_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['popular_posts_sub_title'] );
    }
endif;

// latest_posts_title selective refresh
if ( ! function_exists( 'workart_pro_latest_posts_title_partial' ) ) :
    function workart_pro_latest_posts_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['latest_posts_title'] );
    }
endif;

// latest_posts_sub_title selective refresh
if ( ! function_exists( 'workart_pro_latest_posts_sub_title_partial' ) ) :
    function workart_pro_latest_posts_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['latest_posts_sub_title'] );
    }
endif;

// latest_posts_read_more_btn_label selective refresh
if ( ! function_exists( 'workart_pro_latest_posts_read_more_btn_label_partial' ) ) :
    function workart_pro_latest_posts_read_more_btn_label_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['latest_posts_read_more_btn_label'] );
    }
endif;

// popular_products_btn_title selective refresh
if ( ! function_exists( 'workart_pro_popular_products_btn_title_partial' ) ) :
    function workart_pro_popular_products_btn_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['popular_products_btn_title'] );
    }
endif;

// popular_products_title selective refresh
if ( ! function_exists( 'workart_pro_popular_products_title_partial' ) ) :
    function workart_pro_popular_products_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['popular_products_title'] );
    }
endif;

// popular_products_sub_title selective refresh
if ( ! function_exists( 'workart_pro_popular_products_sub_title_partial' ) ) :
    function workart_pro_popular_products_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['popular_products_sub_title'] );
    }
endif;

// featured_artist_sub_title selective refresh
if ( ! function_exists( 'workart_pro_featured_artist_sub_title_partial' ) ) :
    function workart_pro_featured_artist_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['featured_artist_sub_title'] );
    }
endif;

// recent_products_sub_title selective refresh
if ( ! function_exists( 'workart_pro_recent_products_sub_title_partial' ) ) :
    function workart_pro_recent_products_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['recent_products_sub_title'] );
    }
endif;

// recent_products_title selective refresh
if ( ! function_exists( 'workart_pro_recent_products_title_partial' ) ) :
    function workart_pro_recent_products_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['recent_products_title'] );
    }
endif;

// recent_products_add_to_cart_btn_label selective refresh
if ( ! function_exists( 'workart_pro_recent_products_add_to_cart_btn_label_partial' ) ) :
    function workart_pro_recent_products_add_to_cart_btn_label_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['recent_products_add_to_cart_btn_label'] );
    }
endif;

// products_collection_btn_title selective refresh
if ( ! function_exists( 'workart_pro_products_collection_btn_title_partial' ) ) :
    function workart_pro_products_collection_btn_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['products_collection_btn_title'] );
    }
endif;

// products_collection_title selective refresh
if ( ! function_exists( 'workart_pro_products_collection_title_partial' ) ) :
    function workart_pro_products_collection_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['products_collection_title'] );
    }
endif;

// products_collection_subtitle selective refresh
if ( ! function_exists( 'workart_pro_products_collection_subtitle_partial' ) ) :
    function workart_pro_products_collection_subtitle_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['products_collection_subtitle'] );
    }
endif;

// subscribe_section_description selective refresh
if ( ! function_exists( 'workart_pro_subscribe_section_description_partial' ) ) :
    function workart_pro_subscribe_section_description_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['subscribe_section_description'] );
    }
endif;

// subscribe_section_title selective refresh
if ( ! function_exists( 'workart_pro_subscribe_section_title_partial' ) ) :
    function workart_pro_subscribe_section_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['subscribe_section_title'] );
    }
endif;

// subscribe_section_subtitle selective refresh
if ( ! function_exists( 'workart_pro_subscribe_section_subtitle_partial' ) ) :
    function workart_pro_subscribe_section_subtitle_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['subscribe_section_subtitle'] );
    }
endif;

// subscribe_section_btn_txt selective refresh
if ( ! function_exists( 'workart_pro_subscribe_section_btn_txt_partial' ) ) :
    function workart_pro_subscribe_section_btn_txt_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['subscribe_section_btn_txt'] );
    }
endif;

// testimonial_sub_title selective refresh
if ( ! function_exists( 'workart_pro_testimonial_sub_title_partial' ) ) :
    function workart_pro_testimonial_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['testimonial_sub_title'] );
    }
endif;

// about_us_btn_txt selective refresh
if ( ! function_exists( 'workart_pro_about_us_btn_txt_partial' ) ) :
    function workart_pro_about_us_btn_txt_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['about_us_btn_txt'] );
    }
endif;

// about_us_custom_title selective refresh
if ( ! function_exists( 'workart_pro_about_us_custom_title_partial' ) ) :
    function workart_pro_about_us_custom_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['about_us_custom_title'] );
    }
endif;

// about_us_custom_sub_title selective refresh
if ( ! function_exists( 'workart_pro_about_us_custom_sub_title_partial' ) ) :
    function workart_pro_about_us_custom_sub_title_partial() {
        $options = workart_pro_get_theme_options();
        return esc_html( $options['about_us_custom_sub_title'] );
    }
endif;

// trending_products_title selective refresh
if ( ! function_exists( 'workart_pro_trending_products_title_partial' ) ) :
    function workart_pro_trending_products_title_partial($id) {
        $options = workart_pro_get_theme_options();
        return esc_html( isset($options['trending_products_title_'.$id.''] ) ? $options['trending_products_title_'.$id.''] : $options['trending_products_title']  );
    }
endif; 