<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Workart Pro
 *
 * @package Theme Palace
 * @subpackage Workart Pro
 * @since Workart Pro 1.0.0
 */

/*

/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';
/*

/**
 * Register widgets
 */
function workart_pro_register_widgets() {

	register_widget( 'Workart_Pro_Social_Link' );

}
add_action( 'widgets_init', 'workart_pro_register_widgets' );